Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 980466 - Live queries are not live when fireAllRules() is not called
Summary: Live queries are not live when fireAllRules() is not called
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: BRE
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ER2
: 6.0.0
Assignee: Mario Fusco
QA Contact: Marek Winkler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-02 13:05 UTC by Marek Winkler
Modified: 2013-09-02 10:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-02 10:54:06 UTC
Type: Bug


Attachments (Terms of Use)

Description Marek Winkler 2013-07-02 13:05:54 UTC
Description of problem:

With Phreak, live queries require calling fireAllRules() to produce correct results. This is quite confusing, has it been designed to work this way?

If this behaviour was not anticipated, and this is really a bug, I will attach a reproducer.

Version-Release number of selected component (if applicable):

Drools 6.0.0-SNAPSHOT
Drools 6.0.0.Beta4

Comment 1 Mario Fusco 2013-08-05 17:06:25 UTC
This is how phreak is expected to work. The correct way to use this, is to setup a Runnable that calls fireAllRules every x seconds. This is a performance related aspect too, as it also allows the engine to exploit batching and the user to get control of the regularity of the batch eval.

Comment 2 Marek Winkler 2013-09-02 10:54:06 UTC
Confirmed that this is the expected behaviour.


Note You need to log in before you can comment on or make changes to this bug.